import { QueryList, EventEmitter, ElementRef } from '@angular/core';
import { TabPanelComponent } from './tab-panel.component';
export declare const TABS_TEMPLATE: string;
export declare class TabsComponent {
    panels: QueryList<TabPanelComponent>;
    containerRef: ElementRef;
    headerRef: ElementRef;
    tabsWrapRef: ElementRef;
    tabsRef: ElementRef;
    headerWidth: number;
    headerHeight: number;
    tabWidth: number;
    tabHeight: number;
    tabPosition: string;
    plain: boolean;
    narrow: boolean;
    justified: boolean;
    border: boolean;
    scrollable: boolean;
    scrollIncrement: number;
    tabSelect: EventEmitter<{}>;
    tabUnselect: EventEmitter<{}>;
    tabClose: EventEmitter<{}>;
    selectedIndexChange: EventEmitter<{}>;
    selectedHis: any[];
    readonly containerCls: string;
    readonly headerCls: string;
    readonly bodyCls: string;
    readonly tabsStyle: {
        left: string;
    };
    isHorizontal(): boolean;
    isScrollable(): boolean;
    isScrollerVisible(): boolean;
    private _selectedIndex;
    selectedIndex: number;
    private _scrollDistance;
    scrollDistance: number;
    readonly usedPanels: TabPanelComponent[];
    readonly maxScrollDistance: number;
    setScrollers(): void;
    ngAfterViewInit(): void;
    onClickTab(panel: any, event: any): void;
    onCloseTab(panel: any, event: any): void;
    initPanels(): void;
    initSelectedPanel(): void;
    addHis(panel: any): void;
    removeHis(panel: any): void;
    backHis(): void;
    select(index: number): void;
    unselect(index: number): void;
    getPanel(index: number): TabPanelComponent;
    getPanelIndex(tab: TabPanelComponent): number;
    getSelectedPanel(): TabPanelComponent;
    scrollBy(distance: number): void;
}
